Bug 125115 - minor nit of undefined code
minor nit of undefined code
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: eog (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 16:06 EDT by d.binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-24 17:43:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-06-02 16:06:38 EDT
Description of problem:

I just tried to compile package eog-2.6.0-2 from Redhat Fedora
Core2.

The compiler said

eog-collection-item.c:402: warning: operation on `i' may be undefined

The source code is

	i = i--;

Suggest

	--i;

would be enough to shut up the compiler.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christopher Aillon 2004-08-24 17:43:35 EDT
Thanks for the report.  This has been fixed upstream and is now in
rawhide.

Note You need to log in before you can comment on or make changes to this bug.